<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "audit_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AuditLog".
 *
 * Columns in table "audit_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $account_id
 * @property string $action
 * @property string $ip_address
 * @property string $table
 * @property string $origin
 * @property string $section
 * @property string $date_added
 * @property string $admin_account_id
 * @property string $notes
 * @property integer $hidden
 * @property string $sub_section
 *
 */
abstract class BaseAuditLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'audit_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AuditLog|AuditLogs', $n);
    }

    public static function representingColumn()
    {
        return 'action';
    }

    public function rules()
    {
        return array(
            array('account_id, action, section, date_added', 'required'),
            array('hidden', 'numerical', 'integerOnly'=>true),
            array('account_id, admin_account_id', 'length', 'max'=>11),
            array('action', 'length', 'max'=>1),
            array('ip_address', 'length', 'max'=>39),
            array('table, sub_section', 'length', 'max'=>50),
            array('origin, section', 'length', 'max'=>255),
            array('notes', 'safe'),
            array('ip_address, table, origin, admin_account_id, notes, hidden, sub_section', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, account_id, action, ip_address, table, origin, section, date_added, admin_account_id, notes, hidden, sub_section', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_id' => Yii::t('app', 'Account'),
            'action' => Yii::t('app', 'Action'),
            'ip_address' => Yii::t('app', 'Ip Address'),
            'table' => Yii::t('app', 'Table'),
            'origin' => Yii::t('app', 'Origin'),
            'section' => Yii::t('app', 'Section'),
            'date_added' => Yii::t('app', 'Date Added'),
            'admin_account_id' => Yii::t('app', 'Admin Account'),
            'notes' => Yii::t('app', 'Notes'),
            'hidden' => Yii::t('app', 'Hidden'),
            'sub_section' => Yii::t('app', 'Sub Section'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('account_id', $this->account_id, true);
        $criteria->compare('action', $this->action, true);
        $criteria->compare('ip_address', $this->ip_address, true);
        $criteria->compare('table', $this->table, true);
        $criteria->compare('origin', $this->origin, true);
        $criteria->compare('section', $this->section, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('admin_account_id', $this->admin_account_id, true);
        $criteria->compare('notes', $this->notes, true);
        $criteria->compare('hidden', $this->hidden);
        $criteria->compare('sub_section', $this->sub_section, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
